summaryrefslogtreecommitdiff
path: root/plugins/systemd/systemd.plugin.zsh
diff options
context:
space:
mode:
authorJon <jon@mscreations.net>2020-03-25 05:02:00 -0400
committerGitHub <noreply@github.com>2020-03-25 10:02:00 +0100
commitbcc3ee8ce8749a83bd6139392ac23f51c9eecd79 (patch)
treed46389637f402e56b0790a233799b3f1866a9bc9 /plugins/systemd/systemd.plugin.zsh
parent4d1202c70cc1bd6715974115c9a154e79eb51fdd (diff)
downloadzsh-bcc3ee8ce8749a83bd6139392ac23f51c9eecd79.tar.gz
zsh-bcc3ee8ce8749a83bd6139392ac23f51c9eecd79.tar.bz2
zsh-bcc3ee8ce8749a83bd6139392ac23f51c9eecd79.zip
systemd: remove newline from systemd prompt (#8772)
Diffstat (limited to 'plugins/systemd/systemd.plugin.zsh')
-rw-r--r--plugins/systemd/systemd.plugin.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/plugins/systemd/systemd.plugin.zsh b/plugins/systemd/systemd.plugin.zsh
index f2d1d6f1c..c6fd52990 100644
--- a/plugins/systemd/systemd.plugin.zsh
+++ b/plugins/systemd/systemd.plugin.zsh
@@ -78,7 +78,7 @@ function systemd_prompt_info {
local unit
for unit in $@; do
echo -n "$ZSH_THEME_SYSTEMD_PROMPT_PREFIX"
- [[ -n "$ZSH_THEME_SYSTEMD_PROMPT_CAPS" ]] && echo "${(U)unit}:" || echo "$unit:"
+ [[ -n "$ZSH_THEME_SYSTEMD_PROMPT_CAPS" ]] && echo -n "${(U)unit}:" || echo -n "$unit:"
if systemctl is-active $unit &>/dev/null; then
echo -n "$ZSH_THEME_SYSTEMD_PROMPT_ACTIVE"
else